Skip to main content
PUT
/
api
/
hooks
/
{hookId}
Update Webhook
curl --request PUT \
  --url https://{tenant}/api/hooks/{hookId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "header_map": {
    "another-value": "somevalue",
    "secret": "superscretkey"
  },
  "method": "POST",
  "name": "Update WebHook Name",
  "target_path": "https://httpbin.org/v2/changed-expired-keys"
}
'
{
  "Message": "Hook updated",
  "Meta": null,
  "Status": "OK"
}

Documentation Index

Fetch the complete documentation index at: https://tyk.io/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The Tyk Dashboard API Access Credentials

Path Parameters

hookId
string
required

ID of the webhook to update

Body

application/json
header_map
object
method
string
name
string
target_path
string

Response

Webhook updated.

ID
string
Message
string
Meta
any
Status
string